[ORD] Place North Arrow properly?

I'm certain I'm just overlooking something.

With this new Named Boundary/Saved View/Drawing model way of creating sheets, I don't know how to place my North Arrow to align properly.

In the past, we had a collector drawing and a sheet drawing/model. The container was referenced, in place, to scale, and the border was moved, scaled and rotated to create the sheets. The view was rotated to align with the border, and all was good. When it was time to place the North Arrow, we unrotated the view momentarily, placed the cell, and then Viewed Previous to set everything back. Pretty easy and reasonably intuitive.

I have no clue what to do now. The plan is what gets scaled, moved and rotated which just messes me all up. As I said, I'm sure I'm overlooking something simple, or there's one piece of knowledge I've skipped. Can someone please clear this up for me?
Thank you.

  • I would typically unrotate (align north) the default model view within the sheet dgn and place north arrows there within each named boundary border.

  • MaryB 

    What I do is use an annotation group to automatically place the north points with the correct rotation in the drawing model which then appears in the sheet model. See screen shot below for the settings I use to achieve this via an annotation group which you then apply when you create drawing models and sheets. Note the default angle of zero ie north. You can also have matchlines in that annotation as well which can pick up the sheet name from the sheet index ie previous sheet name..

    Regards

    Ross


    Answer Verified By: MaryB 

  • I agree with Ross for getting the north arrow to point in the right direction.

    However, I was frustrated by the fact that the Annotation Group for placing the north arrow in Named Boundaries only appears to have options for positioning the north arrow relative to the alignment and not relative to the sheet. For alignments that wriggle around a lot, this means that the north arrow will be in a different spot on each sheet. When you flip through the PDF, the north arrow will dance around. I prefer to have the north arrow & scale bar in the same spot on every sheet if I can.

    To get around this, I have the Annotation Group place the north arrow in a ridiculous location that has near-zero chance of ever actually appearing in the sheet. The screenshot below shows 150% beyond and 300% offset.

    Then I wrote a simple macro that goes into every sheet model in the DGN, copies the north arrow cell from Drawing model reference, and places it in the right spot in the sheet model so it's in a consistent spot every time relative to the sheet. The attached macro gets called from a much larger macro that loops through every sheet and does a lot of other stuff too.

    Private Sub northarrow()
    
    Dim copytostring As String
    Dim copytofound As Boolean
    Dim copytox As Double
    Dim copytoy As Double
    
    copytostring = "Basis 2C_SN Color"
    copytofound = False
    copytox = 0
    copytoy = 0
    
    Dim scanwhat As New ElementScanCriteria
    Dim scantron As ElementEnumerator
    
    scanwhat.ExcludeAllTypes
    scanwhat.IncludeType msdElementTypeCellHeader
    scanwhat.IncludeType msdElementTypeSharedCell
    
    Set scantron = ActiveModelReference.Scan(scanwhat)
    
    Do While scantron.MoveNext
        With scantron.Current.AsCellElement
            If .Name = copytostring Then
                copytofound = True
                copytox = .Origin.x
                copytoy = .Origin.y
                Exit Do
            End If
        End With
    Loop
    
    Dim t As Integer
    Dim attachcount As Integer
    attachcount = ActiveModelReference.Attachments.Count
    
    Dim copyfromstring As String
    Dim copyfromfound As Boolean
    Dim copyfromx As Double
    Dim copyfromy As Double
    Dim o As Point3d
    Dim p As Point3d
    
    copyfromstring = "Basis 2C_N Color"
    copyfromfound = False
    copyfromfound = 0
    copyfromy = 0
    
    For t = 1 To attachcount
        Set scantron = ActiveModelReference.Attachments(t).Scan(scanwhat)
        Do While scantron.MoveNext
            With scantron.Current.AsCellElement
                If .Name = copyfromstring Then
                    copyfromx = .Origin.x
                    copyfromy = .Origin.y
                    copyfromfound = True
                    ActiveModelReference.CopyElement scantron.Current
                    Exit For
                End If
            End With
        Loop
    Next t
    
    o.x = 0
    o.y = 0
    o.z = 0
    
    p.x = copytox - copyfromx
    p.y = copytoy - copyfromy
    p.z = 0
    
    Set scantron = ActiveModelReference.Scan(scanwhat)
    
    Do While scantron.MoveNext
        With scantron.Current.AsCellElement
            If .Name = copyfromstring Then
                ActiveModelReference.SelectElement scantron.Current
                CadInputQueue.SendKeyin "MOVE ICON "
                CadInputQueue.SendDataPoint o, 1
                CadInputQueue.SendDataPoint p, 1
                CadInputQueue.SendReset
                
                o.x = 10
                o.y = 10
                o.z = 10
                CadInputQueue.SendDataPoint o, 1
                CommandState.StartDefaultCommand
                Exit Do
            End If
        End With
    Loop
    
    End Sub

    There is probably a better way, but this works great for me!

    Answer Verified By: MaryB 

  • Thank you.

    Ross, that confirms there is a way, but it also validates (to me) that the "simple" solution I used isn't really usable anymore.
    Annotation groups will be great, but that's yet another item on the long list of things to make sure we have set up before moving into production.

    Matt, your suggestion is probably what I am going with at this moment, although I will end up copying the arrow through into the drawing model - we shouldn't have ANY annotation in the design model.

    Steven, thank you for sharing your macro with us. I agree that I prefer my north arrows to be in essentially the same location relative to the sheet, so I see my process to end up similarly to yours.

    MaryB

    Power GeoPak 08.11.09.918
    Power InRoads 08.11.09.918
    OpenRoads Designer 2021 R2

        

  • Hi MaryB

    We use the new drawing production workflow, but we've found it's far easier to get consistent north arrow placement and orientation by going through all the drawing models, setting view rotation to unrotated, and placing a north arrow where we want it. Very similar to our pre-Named Boundary workflow.